MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001236XdebugUsage problems (Wrong Results)public2015-12-16 12:262016-01-25 21:59
Reporterbseddon 
Assigned Toderick 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSWindowsOS Version2012
Product Version2.2.6 
Target VersionFixed in Version2.4.0rc4 
Summary0001236: Unable to remove break points during debug session
DescriptionI've selected 'Product Version' 2.2.6 (PHP 5.x) but it also occurs while using the current 2.4 master you had me download for use with PHP 7.0 so I do not think the issue is related to a specific version of Xdebug.

I do not know if this issue is one with Xdebug or Eclipse (Neon)/PDT (3.7) - I welcome your thoughts.

I've attached a log. In it you can see a breakpoint is set on line 6 of the code listed below (line 30 of the log file). You can see the breakpoint being removed on line 48 of the log file. However, the Xdebug response is code 205. Is it that the command issued by Eclipse is wrong or is the Xdebug response incorrect?

I see the same behaviour when using Eclipse (Luna)/PDT (3.6).

<?php
ini_set( 'display_errors', true );
$a = true;
while ( $a )
{
    $ver = phpversion();
}
return;

TagsNo tags attached.
Operating System
PHP Version5.3.25-5.3.29
Attached Fileslog file icon xdebug-53.log [^] (31,578 bytes) 2015-12-16 12:26

- Relationships

-  Notes
(0003354)
bseddon (reporter)
2015-12-16 12:32

PS. I do not see a problem removing a break point when using ZendDebugger. I realize this does not mean the problem is with Xdebug. I'm providing this information as a data point for information. Obviously, this is only relevant to PHP 5.x because there is no ZendDebugger for PHP 7.0.
(0003355)
derick (administrator)
2015-12-16 14:14

It's an Xdebug bug, it should not be creating negative IDs.
(0003365)
derick (administrator)
2015-12-19 12:32

This should be fixed in the Git master branch now. Thanks for reporting!

- Issue History
Date Modified Username Field Change
2015-12-16 12:26 bseddon New Issue
2015-12-16 12:27 bseddon File Added: xdebug-53.log
2015-12-16 12:32 bseddon Note Added: 0003354
2015-12-16 14:14 derick Note Added: 0003355
2015-12-19 12:32 derick Note Added: 0003365
2015-12-19 12:32 derick Status new => closed
2015-12-19 12:32 derick Assigned To => derick
2015-12-19 12:32 derick Resolution open => fixed
2015-12-19 12:32 derick Fixed in Version => 2.4.0
2016-01-25 21:59 derick Fixed in Version 2.4.0 => 2.4.0rc4
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker